﻿using System.Windows;
using System.Windows.Documents;
using System.Windows.Media;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            string text1 = "A Figure embeds content into flow content with" +
                           " placement properties that can be customized"   +
                           " independently from the primary content flow";

            string text2 = "Lorem ipsum dolor sit amet, consectetuer adipiscing"         +
                           " elit, sed diam nonummy nibh euismod tincidunt ut laoreet"   +
                           " dolore magna aliquam erat volutpat. Ut wisi enim ad"        +
                           " minim veniam, quis nostrud exerci tation ullamcorper"       +
                           " suscipit lobortis nisl ut aliquip ex ea commodo consequat." +
                           " Duis autem vel eum iriure.";

            Figure figure = new Figure();

            figure.HorizontalAnchor = FigureHorizontalAnchor.PageLeft;
            figure.Width            = new FigureLength(200);
            figure.Height           = new FigureLength(200);
            figure.Background       = Brushes.GhostWhite;

            Paragraph paragraph1 = new Paragraph(new Run(text1));

            paragraph1.FontStyle  = FontStyles.Italic;
            paragraph1.Background = Brushes.Beige;
            paragraph1.Foreground = Brushes.DarkGreen;

            figure.Blocks.Add(paragraph1);

            Paragraph paragraph2 = new Paragraph();

            paragraph2.Inlines.Add(figure);
            paragraph2.Inlines.Add(new Run(text2));

            FlowDocument flowDocument = new FlowDocument();

            flowDocument.Blocks.Add(paragraph2);

            this.flowDocumentReader.Document = flowDocument;
        }

        #endregion
    }
}